#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi                                               

# build depends upstreamer prefer cmake
export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"

su -c 'tce-load -wl compiletc submitqc4 wget cmake gettext ncurses-dev ncursesw-dev glibc_apps perl_Curses python-dev \
ruby ruby-dev lua-dev tcl-dev guile-dev curl-dev libgcrypt-dev gnutls2-dev curl asciidoc libtasn1-dev aspell-dev ' tc
su -c 'tce-load -i compiletc submitqc4 wget cmake gettext ncurses-dev ncursesw-dev glibc_apps perl_Curses python-dev \
ruby ruby-dev lua-dev tcl-dev guile-dev curl-dev libgcrypt-dev gnutls2-dev curl asciidoc libtasn1-dev aspell-dev mtpaint-cli' tc

su -c 'tce-load -i compiletc submitqc4 wget cmake gettext ncurses-dev ncursesw-dev glibc_apps perl_Curses python-dev \
ruby ruby-dev lua-dev tcl-dev guile-dev curl-dev libgcrypt-dev gnutls2-dev curl asciidoc libtasn1-dev aspell-dev ' tc
su -c 'tce-load -i compiletc submitqc4 wget cmake gettext ncurses-dev ncursesw-dev glibc_apps perl_Curses python-dev \
ruby ruby-dev lua-dev tcl-dev guile-dev curl-dev libgcrypt-dev gnutls2-dev curl asciidoc libtasn1-dev aspell-dev mtpaint-cli' tc

A=weechat/usr/local/share/applications/weechat.desktop
D=weechat-doc
L=weechat-locale
SRC=weechat-0.4.1
V=weechat-dev
W=weechat

cd /tmp
su -c 'wget -nc http://weechat.org/files/src/weechat-0.4.1.tar.gz -O /tmp/weechat-0.4.1.tar.gz ' tc
tar xvf weechat*.gz
cd $SRC
# before we make, png is 32x32 needs to be 48x48
mtpaint-cli -scaleh 48 -scalew 48 weechat.png
cmake .
make DESTDIR=/tmp/weechat install

# dev
#####
cd /tmp
mkdir -p $V/usr/local/share/doc/$V
cp -f $SRC/AUTHORS $V/usr/local/share/doc/$V
mkdir -p $V/usr/local/lib
mv $W/usr/local/include $V/usr/local
mv $W/usr/local/lib/pkgconfig/ $V/usr/local/lib/

# doc 
#####
mkdir -p $D/usr/local/share/doc/$D
cp -f $SRC/AUTHORS $D/usr/local/share/doc/$D/
mv $SRC/doc/en/*.txt $D/usr/local/share/doc/$D/
mv $W/usr/local/share/man $D/usr/local/share

# locale--docs for locale can go here now 
#######
mkdir -p $L/usr/local/share/doc/$L
cp -f $SRC/AUTHORS $L/usr/local/share/doc/$L
cd $L/usr/local/share/doc/$L
mkdir de es fr it ja pl ru
cd /tmp

mv $SRC/doc/de/*.txt $L/usr/local/share/doc/$L/de/
mv $SRC/doc/es/*.txt $L/usr/local/share/doc/$L/es/
mv $SRC/doc/fr/*.txt $L/usr/local/share/doc/$L/fr/
mv $SRC/doc/it/*.txt $L/usr/local/share/doc/$L/it/
mv $SRC/doc/ja/*.txt $L/usr/local/share/doc/$L/ja/
mv $SRC/doc/pl/*.txt $L/usr/local/share/doc/$L/pl/
mv $SRC/doc/ru/*.txt $L/usr/local/share/doc/$L/ru/
mv $W/usr/local/share/locale $L/usr/local/share/

# main part one
# create desktop, png was corrected up top
rm -rf $W/usr/local/share/icons
mkdir -p $W/usr/local/share/pixmaps
mv $SRC/weechat.png $W/usr/local/share/pixmaps

mkdir -p $W/usr/local/share/applications/

echo '[Desktop Entry]                                      
Encoding=UTF-8                                     
Name=weechat                                       
Exec=aterm -e weechat-curses                                
Terminal=true                                      
Type=Application                                   
Icon=weechat                                      
X-FullPathIcon=/usr/local/share/pixmaps/weechat.png
' > $A


# main part two 
##############
cd /tmp
mkdir -p $W/usr/local/share/doc/$W
cp -f $SRC/AUTHORS $W/usr/local/share/doc/$W

# make TCZs 
LIST="$D $L $V $W"
for z in $LIST
do
	mksquashfs $z $z.tcz
	md5sum $z.tcz > $z.tcz.md5.txt
	cd $z
	find usr -not -type d > $z.tcz.list
	mv -f $z.tcz.list /tmp
	cd /tmp
done

# finish off 
cd /tmp

echo 'man.tcz' > /tmp/weechat-doc.tcz.dep
echo 'weechat.tcz' > /tmp/weechat-locale.tcz.dep
echo 'ncursesw.tcz
gnutls2.tcz
curl.tcz
libiconv.tcz
aspell.tcz
' > /tmp/weechat.tcz.dep

submitqc4
